org.apache.uima.fit.component

## Class Resource_ImplBase

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.fit.component.Resource_ImplBase

- All Implemented Interfaces:
    ExternalResourceAware, org.apache.uima.resource.Resource
  Direct Known Subclasses:
    JndiResourceLocator

      public abstract class Resource_ImplBase
      extends org.apache.uima.resource.Resource_ImplBase
      implements ExternalResourceAware

  Base class for external resources which initializes itself based on annotations.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resource_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterResourcesInitialized()` Called after the external resources have been initialized.
    `org.apache.uima.fit.internal.ExtendedLogger` | `getLogger()`
    `String` | `getResourceName()` Get the name of the resource.
    `boolean` | `initialize(org.apache.uima.resource.ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams)`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `destroy, getCasManager, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger, setMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource_ImplBase

          public Resource_ImplBase()

  - ### Method Detail

    - #### getLogger

          public org.apache.uima.fit.internal.ExtendedLogger getLogger()

      Specified by:
        `getLogger` in interface `org.apache.uima.resource.Resource`
      Overrides:
        `getLogger` in class `org.apache.uima.resource.Resource_ImplBase`

    - #### initialize

          public boolean initialize(org.apache.uima.resource.ResourceSpecifier aSpecifier,
                                    Map<String,Object> aAdditionalParams)
                             throws org.apache.uima.resource.ResourceInitializationException

      Specified by:
        `initialize` in interface `org.apache.uima.resource.Resource`
      Overrides:
        `initialize` in class `org.apache.uima.resource.Resource_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

    - #### getResourceName

          public String getResourceName()

      Description copied from interface: `ExternalResourceAware`
      Get the name of the resource. This is set by `bindExternalResource()` as the parameter `PARAM_RESOURCE_NAME`.
      It is mandatory that any resource implementing this interface declares the configuration parameter `PARAM_RESOURCE_NAME`.
      Specified by:
        `getResourceName` in interface `ExternalResourceAware`
      Returns:
        the resource name.

    - #### afterResourcesInitialized

          public void afterResourcesInitialized()
                                         throws org.apache.uima.resource.ResourceInitializationException

      Description copied from interface: `ExternalResourceAware`
      Called after the external resources have been initialized.
      Specified by:
        `afterResourcesInitialized` in interface `ExternalResourceAware`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if an problem occurs in the late initialization.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.